#ifndef GETRANSFORM_H
#define GETRANSFORM_H
#include "GeBranch.h"
#include "MVector3.h"

class GeTransform : public GeBranch {
private:
public:
	MVector3 t; // Translation from the current Origin
	MVector3 s; // Scale Vector
	MVector3 r; // Rotation Vector
		// x-Element: Rotation around the X-Axis
		// y-Element: Rotation around the Y-Axis
		// z-Element: Rotation around the Z-Axis
	
	GeTransform(void);
	
	void render(void);
	void renderSingle(void);
};

#endif
